<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" encoding="iso-8859-1" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"/>
<xsl:template match="/">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <title><xsl:value-of select="rss/title"/></title>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"/>
  <style type="text/css">
  #maincontainer {
    width: 75%;
    margin: auto;
  }
  h1, h2 {
    color: #5A7CEF;
    font-family: Geneva, Arial, Helvetica, sans-serif;
    letter-spacing: 0.22em;
  }
  h1, h2 {
    font-size: 2.5em;
  }
  h2 {
    font-size: 1.1em;
    padding: 0;
    margin: 0;
  }
  hr {
    color: #5A7CEF;
    border-color: #5A7CEF;
    margin: 0 20% 0 0;
    padding: 0;
  }
  p {
    font-size: 0.9em;
    color: #001755;
    font-family: Geneva, Arial, Helvetica, sans-serif;
    margin: 0 0 2em 0;
    padding: 0;
  }
  a {
    font-size: 0.9em;
    color: #001755;
    border: 0;
    border-bottom: 1px dashed #001755;
    text-decoration: none;
    font-family: Geneva, Arial, Helvetica, sans-serif;
  }
  a:hover {
    color: #0F00BF;
    border-color: 1px dashed #0F00BF;
  }
  </style>
</head>

<body>
  <div id="maincontainer">
    <h1><xsl:value-of select="rss/channel/title"/></h1>
    <p>
      <xsl:value-of select="rss/channel/description" disable-output-escaping="yes"/><br />
      <a target="_blank"><xsl:attribute name="href"><xsl:value-of select="link"/></xsl:attribute><xsl:value-of select="link"/></a>
    </p>
    <xsl:for-each select="rss/channel/item">
      <h2>
        <xsl:value-of select="substring(pubDate,6,11)"/> - <xsl:value-of select="title"/>		</h2>
      <hr />
      <p>
        <xsl:value-of select="description" disable-output-escaping="yes"/>
      </p>
      <p>
        <a target="_blank"><xsl:attribute name="href"><xsl:value-of select="link"/></xsl:attribute>Link to this item...</a>
      </p>
    </xsl:for-each>
    <a href="http://feedvalidator.org/" target="_blank" style="border: 0;">
      <img src="valid-rss.png" alt="[Valid RSS]" title="Validate my RSS feed" border="0" />
    </a>
  </div>
</body>
</html>

</xsl:template>
</xsl:stylesheet>