<%
'*****************************************************
'*****************************************************
'**                                                 **
'**         CrazyBeavers RSS Class v 1.0            **
'**                                                 **
'**  If you wish to use this piece of code in       **
'**  your own applications you have to let this     **
'**  statement remain in it's current state. If     **
'**  you plan to redistribute your application      **
'**  you will have to have inform the users         **
'**  that you are using CB RSS Class and that       **
'**  they can find more information about it on     **
'**  CrazyBeaver Softwares homepage located at the  **
'**  URL below:                                     **
'**                                                 **
'**  http://www.crazybeavers.se/                    **
'**                                                 **
'**  / Karl-johan Sjgren                           **
'**  http://www.crazybeavers.se/                    **
'**   2005 CrazyBeaver Software                    **
'**                                                 **
'*****************************************************
'*****************************************************

  class cls_CBRSS_Item
    public Title
    public Link
    public Comments
    public Description
    public PubDate
    public GUID
  end class

  class cls_CBRSS
    public Name
    public Link
    public Description
    public PubDate
    public GMT
    public Encoding
    public Language
    public IncludeStyleSheet
    public StyleSheet
    public Items

    private function rfc822date(d)
      dim sWeekDay
      dim sMonth
      select case Weekday(d)
        case 1  sWeekday = "Mon"
        case 2  sWeekday = "Tue"
        case 3  sWeekday = "Wed"
        case 4  sWeekday = "Thu"
        case 5  sWeekday = "Fri"
        case 6  sWeekday = "Sat"
        case else  sWeekday = "Sun"
      end select
      select case Month(d)
        case 1  sMonth = "Jan"
        case 2  sMonth = "Feb"
        case 3  sMonth = "Mar"
        case 4  sMonth = "Apr"
        case 5  sMonth = "May"
        case 6  sMonth = "Jun"
        case 7  sMonth = "Jul"
        case 8  sMonth = "Aug"
        case 9  sMonth = "Sep"
        case 10  sMonth = "Oct"
        case 11  sMonth = "Nov"
        case else  sMonth = "Dec"
      end select
      rfc822date = _
        sWeekDay & ", " & _
        Right(string(2,"0") & Day(d),2) & " " & _
        sMonth & " " & Year(d) & " " & _
        Right(string(2,"0") & Hour(d),2) & ":" & _
        Right(string(2,"0") & Minute(d),2) & ":" & _
        Right(string(2,"0") & Second(d),2) & " " & _
        GMT
    end function

    public sub RenderRSS
      Response.Clear
      Response.ContentType = "text/xml"
      call Response.AddHeader("Content-Disposition", "filename=""beaverrss.xml""")
      Response.Write("<?xml version=""1.0"" encoding=""" & Encoding & """?>" & vbCrLf)
      if(IncludeStyleSheet) then
        Response.Write("<?xml-stylesheet href=""" & StyleSheet & """ type=""text/xsl"" media=""screen""?>" & vbCrLf)
      end if
      Response.Write("<rss version=""2.0"">" & vbCrLf)
      Response.Write("  <channel>" & vbCrLf)
      Response.Write("    <title>" & Server.HTMLEncode(Name) & "</title>" & vbCrLf)
      Response.Write("    <link>" & Server.HTMLEncode(Link) & "</link>" & vbCrLf)
      Response.Write("    <description>" & Server.HTMLEncode(Description) & "</description>" & vbCrLf)
      Response.Write("    <language>" & Language & "</language>" & vbCrLf)
      Response.Write("    <pubDate>" & rfc822date(PubDate) & "</pubDate>" & vbCrLf)

      dim Item
      for each Item in Items
        set Item = Items(Item)
        Response.Write("    <item>" & vbCrLf)
        Response.Write("      <title>" & Item.Title & "</title>" & vbCrLf)
        Response.Write("      <link>" & Server.HTMLEncode(Item.Link) & "</link>" & vbCrLf)
        if(Item.Comments <> "") then
          Response.Write("      <comments>" & Server.HTMLEncode(Item.Comments) & "</comments>" & vbCrLf)
        end if
        Response.Write("      <description><![CDATA[" & Item.Description & "]]></description>" & vbCrLf)
        Response.Write("      <pubDate>" & rfc822date(Item.PubDate) & "</pubDate>" & vbCrLf)
        if(Item.GUID <> "") then
          Response.Write("      <guid>" & Item.GUID & "</guid>" & vbCrLf)
        end if
        Response.Write("    </item>" & vbCrLf)
      next

      Response.Write("  </channel>" & vbCrLf)
      Response.Write("</rss>")
    end sub

    function cLngDef(iNum, iDef)
      if not isNumeric(iNum) then
        cLngDef = cLng(iDef)
      else
        cLngDef = cLng(iNum)
      end if
    end function

    public sub AddItem(oItem)
      dim UniqueAddon
      UniqueAddon = ""
      do while Items.Exists(oItem.Title & UniqueAddon)
        UniqueAddon = cLngDef(UniqueAddon, 0) +1
      loop
      
      call Items.Add(oItem.Title & UniqueAddon, oItem)
    end sub

    public function NewItem
      set NewItem = new cls_CBRSS_Item
    end function

    sub Class_Initialize
      set Items = CreateObject("Scripting.Dictionary")
      GMT = "+0000"
      Encoding = "ISO-8859-1"
      Language = "en-uk"
      IncludeStyleSheet = false
      StyleSheet = "cbrss.xsl"
    end sub

    sub Class_Terminate
      set Items = nothing
    end sub
  end class
%>